com.thinkaurelius.titan.core

## Class InvalidElementException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.thinkaurelius.titan.core.TitanException
        - - com.thinkaurelius.titan.core.InvalidElementException

- All Implemented Interfaces:
    Serializable

      public class InvalidElementException
      extends TitanException

  Exception thrown when an element is invalid for the executing operation or when an operation could not be performed on an element.
  Author:
    Matthias Bröcheler (me@matthiasb.com);
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidElementException(String msg, TitanElement element)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TitanElement` | `getElement()` Returns the element causing the exception
    `static IllegalStateException` | `removedException(TitanElement element)`
    `String` | `toString()`

    - ### Methods inherited from class com.thinkaurelius.titan.core.TitanException

      `isCausedBy`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidElementException

          public InvalidElementException(String msg,
                                 TitanElement element)

      Parameters:
        `msg` - Exception message
        `element` - The invalid element causing the exception

  - ### Method Detail

    - #### getElement

          public TitanElement getElement()

      Returns the element causing the exception
      Returns:
        The element causing the exception

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Throwable`

    - #### removedException

          public static IllegalStateException removedException(TitanElement element)

Copyright © 2012–2014. All rights reserved.